#!/bin/sh
# show data
# this simple script
# is run from within the main mapset for a current
# GRASS session to make a set of png thumbnails
# for all raster files, with one vector
#
# useful for the GRASSLinks GL_matrix.html;
#
# modify to suit your needs
#
# need to copy *.png to glinks/tnails or wherever you want
#
# note: labels still ugly and small
# user set the vector:
vector=nations
#
for a in `ls cell/*`
do
echo $a 
rast=`basename $a`
echo $rast
d.mon select=x0
g.region rast=$rast
d.erase white
d.frame -e
d.rast $rast bg=white
d.vect $vector color=black
d.frame -c title at=2,7,35,70
d.frame -s title
d.erase color=white
#d.text.freetype text="$rast" east_north=-130,41 font=Arial size=18 color=black
echo $rast | d.text size=100 color=black
# CELL time
export GRASS_HEIGHT=160
export GRASS_WIDTH=250
d.mon start=CELL select=CELL
d.erase white
d.frame -e
d.erase white
#
d.rast $rast bg=white
d.vect $vector color=black
d.frame -c title at=2,7,35,70
d.frame -s title
d.erase color=white
#d.text.freetype text="$rast" east_north=-130,41 font=Arial size=18 color=black
echo $rast | d.text size=100 color=black
d.mon stop=CELL
sleep 5
g.region rast=D_cell
r.out.png D_cell output=$rast.png
done
