#!/usr/bin/perl -w
#
# user configured routines to set up/process query forms
# for vectors and sites
sub get_vectorforms {
# this currently not in use - need to add code to glinks.pl similar to $sites_form
 my ($vectorforms) = @_;
 print ACCESSLOG "in get_vectorforms with $vectorforms\n";

 if ( $vectorforms eq "testspear" ) {
                    $vector_form = 
"<FORM method=\"GET\" action=\"glinks/soils_legend.html#\">";

                    $sites_endform = "\n</FORM>";
 }
}
sub get_siteforms {

 my ($siteforms) = @_;
 print ACCESSLOG "in get_siteforms with $siteforms\n";

 if ( $siteforms eq "testspear" ) {
                    $sites_form = 
"<FORM method=\"GET\" action=\"glinks/data/soils_legend.html#\">";

                    $sites_endform = "\n</FORM>";
 }
 elsif ( $siteforms eq "ddcalc" ) {
                    $sites_form =
"<FORM method=\"POST\" action=\"http://ippc2.orst.edu/cgi-bin/ddmodel.pl\">
Thresholds:
<BR> lower <input name=\"tlow\" value=\"50\" size=2> 
&nbsp; upper <input name=\"thi\" value=\"113\" size=3> &#176F &nbsp;&nbsp;<BR>Calculation method:<BR>
<select name=\"calc\">
<option value=A>simple avg <option value=G>growing dds
<option value=T1>single triangle <option value=T2>double triangle
<option selected value=S1>single sine <option value=S2>double sine
<option value=HD>heating dds <option value=CD>cooling dds
</select>
<INPUT TYPE=HIDDEN NAME=\"species\" VALUE=\"aaa\"> <INPUT TYPE=HIDDEN NAME=\"celsius\" VALUE=\"\">
<INPUT TYPE=HIDDEN NAME=\"stmon\" VALUE=\"1\"> <INPUT TYPE=HIDDEN NAME=\"stday\" VALUE=\"1\">
<INPUT TYPE=HIDDEN NAME=\"endmon\" VALUE=\"12\"> <INPUT TYPE=HIDDEN NAME=\"endday\" VALUE=\"31\">
<INPUT TYPE=HIDDEN NAME=\"maketable\" VALUE=\"CHECKED\"><BR>\n";

                    $sites_endform = "\n<input type=submit value=\"Calc\"> </FORM>";
 }

 elsif ( $siteforms eq "ddmodel" ) {
   my $modelabbrev = "cfm";

#   unless undefined ($value{species}) { 
      $modelabbrev = $value{species};
      unless (exists $value{species}) { 
         $value{species} = "cfm"; 
         $modelabbrev = "cfm"; 
         }
#   }


my $defaultpic = "/ddpics/" . $modelabbrev . "_d_t.JPG";
my $thumbpic_test = "/home/httpd/html/ddpics/" . $modelabbrev . "_l_t.JPG";
my $thumbpic = "/ddpics/" . $modelabbrev . "_l_t.JPG";
my $thumbpic_d_test = "/home/httpd/html/ddpics/" . $modelabbrev . "_d_t.JPG";
my $thumbpic_d = "/ddpics/" . $modelabbrev . "_d_t.JPG";
my $thumbpic_a_test = "/home/httpd/html/ddpics/" . $modelabbrev . "_a_t.JPG";
my $thumbpic_a = "/ddpics/" . $modelabbrev . "_a_t.JPG";
unless ( -r "$thumbpic_test" ) { $thumbpic = $thumbpic_a; }
#unless ( -r $thumbpic_a ) { $thumbpic = $thumbpic_d; }
if ( -r "$thumbpic_a_test" ) { $thumbpic = $thumbpic_a; }
if ( -r "$thumbpic_d_test" ) { $thumbpic = $thumbpic_d; }
#else { $thumbpic = $defaultpic; }
#$thumbpic = $thumbpic_a unless -f $thumbpic;
#$thumbpic = $thumbpic_d if (-f $thumbpic_d);

print ACCESSLOG "model selected: $value{species} ,  $modelabbrev\n";
my $holder= "";
my @Fld = (0,1,2,3);
$Fld[1] = "";
open(TDB,"sppdbase01.db") || die "cannot open species params database";
while (<TDB>) {
  # strip out all HTML + all text after first
  # replace html with #; then first # with space, then remove all after #
$holder = $_;
  s{<(?:[^>'"]*|".*?"|'.*?')>}{#}gsx;
  @Fld = split(/\t/,$_, 9999);
  $Fld[1] =~ s{#}{};
  $Fld[1] =~ s{#.+#}{}g;
  $Fld[1] =~ s{#}{}g;
  $Fld[3] =~ s{#{1,2}}{};
  $Fld[3] =~ s{#.+#}{}g;
  $Fld[3] =~ s{#}{}g;
  if (($Fld[2] =~ /insect/) || ($Fld[2] =~ /crop/)
|| ($Fld[2] =~ /predator/)
|| ($Fld[2] =~ /weed/)
|| ($Fld[2] =~ /ease/))
{
     if ($Fld[0] =~ $modelabbrev) {
# various versions of SELECTED model name stored with HTML intact
     @Hld = split(/\t/,$holder, 99);
     $modelfullname = $Hld[1] . "<FONT SIZE=-1> " . $Hld[3] . "</FONT>";
     $modeltitlename = $Fld[1] . " " .  $Fld[3];
     $biofixinstruc = $Fld[10];
     $biofixmonth = $Fld[11];
     $biofixday = $Fld[12];
     if ($biofixinstruc =~ /calendar/) {
        $biofixinstruc .= " nominally set at " . $biofixmonth . " " . $biofixday;
        }
     }
# all non HTML model abbrev and name stored for popup menu
     $cropmenuname = $Fld[1];
     $cropmenuname =~ s/;.*//;
     $cropmenuname =~ s/ growth chars.//;
     $vars{$Fld[0]} = $cropmenuname . " " . $Fld[3];
  }
 }
close(TDB);

                    $sites_form =
"<FORM method=\"POST\" action=\"/cgi-bin/ddmodel.pl\">
<B>
<IMG SRC=$thumbpic><BR>
$modelfullname <BR><BR>\n
<B>Start date (biofix):<BR> 
$biofixinstruc \n
</B><BR>
<SELECT NAME=\"stmon\">
<OPTION SELECTED VALUE=1>Jan <OPTION  VALUE=2>Feb <OPTION  VALUE=3>Mar
<OPTION  VALUE=4>Apr <OPTION  VALUE=5>May <OPTION  VALUE=6>Jun
<OPTION  VALUE=7>Jul <OPTION  VALUE=8>Aug <OPTION  VALUE=9>Sep
<OPTION  VALUE=10>Oct <OPTION  VALUE=11>Nov <OPTION  VALUE=12>Dec
</SELECT>
<SELECT NAME=\"stday\">
<OPTION SELECTED VALUE=1>1 <OPTION  VALUE=2>2 <OPTION  VALUE=3>3 <OPTION  VALUE=4>4
<OPTION  VALUE=5>5 <OPTION  VALUE=6>6 <OPTION  VALUE=7>7 <OPTION  VALUE=8>8
<OPTION  VALUE=9>9 <OPTION  VALUE=10>10 <OPTION  VALUE=11>11 <OPTION  VALUE=12>12
<OPTION  VALUE=13>13 <OPTION  VALUE=14>14 <OPTION  VALUE=15>15 <OPTION  VALUE=16>16
<OPTION  VALUE=17>17 <OPTION  VALUE=18>18 <OPTION  VALUE=19>19 <OPTION  VALUE=20>20
<OPTION  VALUE=21>21 <OPTION  VALUE=22>22 <OPTION  VALUE=23>23 <OPTION  VALUE=24>24
<OPTION  VALUE=25>25 <OPTION  VALUE=26>26 <OPTION  VALUE=27>27 <OPTION  VALUE=28>28
<OPTION  VALUE=29>29 <OPTION  VALUE=30>30 <OPTION  VALUE=31>31
</SELECT>
<INPUT TYPE=HIDDEN NAME=\"endmon\" VALUE=\"12\"> <INPUT TYPE=HIDDEN NAME=\"endday\" VALUE=\"31\">
<INPUT TYPE=HIDDEN NAME=\"species\" VALUE=\"$value{species}\"> <INPUT TYPE=HIDDEN NAME=\"celsius\" VALUE=\"\">
<INPUT TYPE=HIDDEN NAME=\"maketable\" VALUE=\"CHECKED\"><BR>Location:<BR>\n";
                    $sites_endform = "\n<input type=submit value=\"Calc\"> </FORM>";
                }
                elsif ( $siteforms eq "croft1" ) {
                    $sites_form =
"<FORM method=\"POST\" action=\"http://www.ent3.orst.edu/mahs/locationlist.cfm\" NAME=\"frmRegion\">";
                    $sites_endform = "<input type=image name=test value=Button border=none src=/glinks/gifs/mtan3.gif ></FONT> </FORM>";
                }
                else { $siteforms = "none"; }

} # end get_siteforms
